//==============================================================================
//
//		Copyright 2009 IPK Gatersleben, AG Plant Bioinformatics
//		Developed by K. Pucknat, H. Rohn
//
//		Licensed under the Apache License, Version 2.0 (the "License");
//		you may not use this file except in compliance with the License.
//		You may obtain a copy of the License at
//
//			http://www.apache.org/licenses/LICENSE-2.0
//
//		Unless required by applicable law or agreed to in writing, software
//		distributed under the License is distributed on an "AS IS" BASIS,
//		WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//		See the License for the specific language governing permissions and
//		limitations under the License. 
//
//		Portions of this software is based in part on the CyberVRML97 package written by Satoshi Konno.
//
//==============================================================================
package anaglyphcanvas3d;

// TODO: Auto-generated Javadoc
/**
 * Die Enumeration <code>AnaglyphMode</code> enth�lt alle Anaglyphen-Modi wie Rot-Gr�n, Rot-Cyan und grau Rot-Cyan.
 */
 
public enum AnaglyphMode {
	
	//The TRU e_ anaglyph s1.
	/** Rot-Blaue-Anaglyphen (Echte Anaglyphen) */
	REDBLUE_ANAGLYPHS("red-blue"),
	
	//The TRU e_ anaglyph s2.
	/** Rot-Gr�ne-Anaglyphen (Echte Anaglyphen)*/
	REDGREEN_ANAGLYPHS("red-green"),
	
	//The GRA y_ anaglyphs.
	/** Graue-Anaglyphen */
	GRAY_ANAGLYPHS("gray"),
	
	//The COLO r_ anaglyphs.
	/** Farbige-Anaglypen */
	COLOR_ANAGLYPHS("full-color"),
	
	//The HALFCOLO r_ anaglyphs.
	/** Halbfarbige-Anaglyphen */
	HALFCOLOR_ANAGLYPHS("half-color"),
	
	//The OPTIMIZE d_ anaglyphs. 
	/** Optimierte-Anaglyphen*/
	OPTIMIZED_ANAGLYPHS("optimized");
		
	//The string text.
	/** <code>String</code> Anaglyphenname */
	private String stringText;

	// Instantiates a new anaglyph mode.
	/**
	 * Instanziiert die Enumeration Konstante mit dem jeweiligen <code>String</code>.
	 * 
	 * @param stringText Anaglyphenname
	 */
	AnaglyphMode(String stringText) {
		this.stringText = stringText;
	}	

	// Gets the string text. example: {@link StereoMode}
	/**	
	 * Gibt den Anaglyphennamen zur�ck.
	 * @return stringText Anaglyphenname
	 */
	public String getStringText() {
		return stringText;
	}

	//Gets the value.
	/**
	 * Gibt die Enumeration des Anaglyphennamen zur�ck
	 * 
	 * @param text Anaglyphenname
	 * 
	 * @return a Enumeration
	 */
	public static AnaglyphMode getValue(String text) {
		for(AnaglyphMode a : values())
			if(a.getStringText().equalsIgnoreCase(text))
				return a;
		return null;
	}

}
