//==============================================================================
//
//		Copyright 2009 IPK Gatersleben, AG Plant Bioinformatics
//		Developed by K. Pucknat, H. Rohn
//
//		Licensed under the Apache License, Version 2.0 (the "License");
//		you may not use this file except in compliance with the License.
//		You may obtain a copy of the License at
//
//			http://www.apache.org/licenses/LICENSE-2.0
//
//		Unless required by applicable law or agreed to in writing, software
//		distributed under the License is distributed on an "AS IS" BASIS,
//		WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//		See the License for the specific language governing permissions and
//		limitations under the License. 
//
//		Portions of this software is based in part on the CyberVRML97 package written by Satoshi Konno.
//
//==============================================================================
package anaglyphcanvas3d;

/**
 * Die Enumeration <code>StereoMode</code> enthält alle Stereoskopie-Modi. Einige sind (noch) nicht implementiert.
 */
public enum StereoMode {

	//The OFF.
	/** Deaktiviert den Stereomodus */
	OFF("Stereo off"),
	
	//The ANAGLYPH.
	/** Aktiviert den Stereomodus: Anaglyphen */
	ANAGLYPH("Anaglyph on"),	
	
	// The POLARIZED.
	/** Aktiviert den Stereomodus: Polarisation */
	POLARIZED("Polarized on"),	
	
	//The SHUTTE r_ glasses.
	/** Aktiviert den Stereomodus: Shutter Glasses */
	SHUTTER_GLASSES("Shutter Glasses");
	
	//The bt text.
	/** <code>String</code> Stereomodusname */
	private String stringText;

	// Gets the bt text.
	/**	
	 * Gibt den Stereomodusname zur�ck.
	 * @return stringText Stereomodusname
	 */
	public String getStringText() {
		return stringText;
	}

	// Instantiates a new stereo mode.
	/**
	 * Instanziiert die Enumeration Konstante mit dem jeweiligen <code>String</code>.
	 * 
	 * @param stringText Stereomodusname
	 */
	StereoMode(String stringText) {
		this.stringText = stringText;
	}	
}
